#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Финансовый результат

Сценарий: Я начинаю создавать прочие затраты на дату "ДатаЗатрат" для "ИмяОрганизации" "ИмяПодразделения"

	И В командном интерфейсе я выбираю 'Деньги' 'Прочие затраты'
	Тогда открылось окно 'Прочие затраты'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Прочие затраты (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И в поле с именем 'Дата' я ввожу текст 'ДатаЗатрат'

Сценарий: Я заканчиваю создавать прочие затраты

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Прочие затраты (создание) *' в течение 20 секунд
	Тогда открылось окно 'Прочие затраты'
	И Я закрываю окно 'Прочие затраты'

Сценарий: Я начинаю создавать поступление дополнительных затрат на дату "ДатаПоступления"

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления дополнительных затрат'
	Тогда открылось окно 'Поступления дополнительных затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Поступление доп. затрат (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ДатаПоступления'
	И в поле с именем 'ДатаПоДаннымКлиента' я ввожу текст 'ДатаПоступления'
	И в поле с именем 'ДатаДоставки' я ввожу текст 'ДатаПоступления'

Сценарий: Я заканчиваю создавать поступление дополнительных затрат
	
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Поступление доп. затрат (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления дополнительных затрат'
	И Я закрываю окно 'Поступления дополнительных затрат'

Сценарий: Я создаю в поступлении товаров для номенклатуры "ИмяНоменклатуры" серию "НомерСерии" с датой выпуска "ДатаВыпуска" и окончанием срока годности "СрокГодности"

	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле с именем 'ОбъектНомер' я ввожу текст 'НомерСерии'
	И в поле с именем 'ОбъектДатаВыпуска' я ввожу текст 'ДатаВыпуска'
	И в поле с именем 'ОбъектГоденДо' я ввожу текст 'СрокГодности'
	И я нажимаю на кнопку с именем 'КомандаСоздать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление товаров и услуг (создание) *'

Сценарий: Я создаю статью затрат "ИмяСтатьиЗатрат" с аналитикой "ИмяАналитики"
	
	И В командном интерфейсе я выбираю 'Деньги' 'Статьи затрат'
	Тогда открылось окно 'Статьи затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Статья затрат (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяСтатьиЗатрат'
	И я меняю значение переключателя с именем 'ТипАналитики' на 'ИмяАналитики'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Статья затрат (создание) *' в течение 20 секунд
	Тогда открылось окно 'Статьи затрат'
	И Я закрываю окно 'Статьи затрат'

Сценарий: Я создаю статью затрат "ИмяСтатьиЗатрат" без аналитики
	
	И В командном интерфейсе я выбираю 'Деньги' 'Статьи затрат'
	Тогда открылось окно 'Статьи затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Статья затрат (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяСтатьиЗатрат'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Статья затрат (создание) *' в течение 20 секунд
	Тогда открылось окно 'Статьи затрат'
	И Я закрываю окно 'Статьи затрат'

Сценарий: Я начинаю создавать распределение затрат от "ДатаРаспределения" по сценарию "СценарийРаспределения"

	И В командном интерфейсе я выбираю 'Деньги' 'Распределение затрат'
	Тогда открылось окно 'Распределение затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распределение затрат (создание)'
	И из выпадающего списка "Сценарий" я выбираю по строке 'СценарийРаспределения'
	И в поле 'от' я ввожу текст 'ДатаРаспределения'
	И я нажимаю на кнопку 'Заполнить и распределить'

Сценарий: Я заканчиваю создавать распределение затрат

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение затрат (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распределение затрат'
	И Я закрываю окно 'Распределение затрат'

Сценарий: Я начинаю создавать корректировку списания запасов с "ДатаНачала" по "ДатаОкончания" для "ИмяОрганизации"

	И В командном интерфейсе я выбираю 'Деньги' 'Корректировки списания запасов'
	Тогда открылось окно 'Корректировки списания запасов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Корректировка списания запасов (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И в поле 'от' я ввожу текст 'ДатаОкончания'
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода период с "ДатаНачала" по "ДатаОкончания"
	Тогда открылось окно 'Корректировка списания запасов (создание) *'

Сценарий: Я заканчиваю создавать корректировку списания запасов

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Корректировка списания запасов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Корректировки списания запасов'
	И Я закрываю окно 'Корректировки списания запасов'

Сценарий: Я начинаю создавать сценарий распределения затрат "ИмяСценария" для организации "ИмяОрганизации"

	И В командном интерфейсе я выбираю 'Деньги' 'Сценарии распределения затрат'
	Тогда открылось окно 'Сценарии распределения затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сценарий распределения затрат (создание)'
	И в поле 'Наименование' я ввожу текст 'ИмяСценария'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка "Направление деятельности" я выбираю по строке 'Основное направление'
	И в поле 'Пояснение' я ввожу текст 'ИмяСценария'
	И я устанавливаю флаг 'Остаток затрат на конец месяца'
	И в таблице "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" я перехожу к строке:
		| 'Вид сравнения' | 'Использование' | 'Настройка'     |
		| 'Равно'         | 'Нет'           | 'Статья затрат' |
	И в таблице "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" я устанавливаю флаг с именем 'КомпоновщикНастроек_ЗатратыПользовательскиеНастройкиИспользование'
	И в таблице "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" из выпадающего списка с именем "КомпоновщикНастроек_ЗатратыПользовательскиеНастройкиЗначение" я выбираю по строке 'ИмяСценария'
	И в таблице "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" я завершаю редактирование строки
	
Сценарий: Я устанавливаю в сценарии распределения затрат показатель "ИмяПоказателя"

	И я перехожу к закладке с именем "Страница_База"
	И из выпадающего списка "Показатель" я выбираю по строке 'ИмяПоказателя'
	И я меняю значение переключателя с именем 'ФиксированнаяБаза' на 'Рассчитываемая'
	И я устанавливаю флаг 'База на каждую строку затрат'
	И я устанавливаю флаг 'База распределения на месяц документа'

Сценарий: Я заканчиваю создавать сценарий распределения затрат

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий распределения затрат (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сценарии распределения затрат'
	И Я закрываю окно 'Сценарии распределения затрат'

Сценарий: Я устанавливаю в сценарии распределения затрат пользовательские настройки "ИмяНастройки"

	И в таблице "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" я перехожу к строке:
		| 'Настройка'    |
		| 'ИмяНастройки' |
	И в таблице "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" я устанавливаю флаг с именем 'КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройкиИспользование'

Сценарий: Я проверяю движения реализации товаров "РеализацияТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'       |
		| 'РеализацияТоваров' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "РеализацияТоваров" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я проверяю движения поступления товаров и услуг "ПоступлениеТоваровИУслуг"

	И В командном интерфейсе я выбираю 'Закупки' 'Поступления товаров и услуг'
	Тогда открылось окно 'Поступления товаров и услуг'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'              |
		| 'ПоступлениеТоваровИУслуг' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ПоступлениеТоваровИУслуг" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления товаров и услуг'
	И Я закрываю окно 'Поступления товаров и услуг'

Сценарий: Я проверяю движения поступления дополнительных затрат "ПоступлениеДопЗатрат"

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления дополнительных затрат'
	Тогда открылось окно 'Поступления дополнительных затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'          |
		| 'ПоступлениеДопЗатрат' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ПоступлениеДопЗатрат" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления дополнительных затрат'
	И Я закрываю окно 'Поступления дополнительных затрат'

Сценарий: Я устанавливаю коэффициент "ЧислоКоэффициент" для номенклатуры "ИмяНоменклатуры" в поступлении дополнительных затрат

	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Товары" в поле с именем 'ТоварыКоэффициент' я ввожу текст 'ЧислоКоэффициент'
	И в таблице "Товары" я завершаю редактирование строки

Сценарий: Я проверяю движения прочих затрат "ПрочиеЗатраты"

	И В командном интерфейсе я выбираю 'Деньги' 'Прочие затраты'
	Тогда открылось окно 'Прочие затраты'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'   |
		| 'ПрочиеЗатраты' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ПрочиеЗатраты" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Прочие затраты'
	И Я закрываю окно 'Прочие затраты'

Сценарий: Я проверяю движения распределение затрат "РаспределениеЗатрат"

	И В командном интерфейсе я выбираю 'Деньги' 'Распределение затрат'
	Тогда открылось окно 'Распределение затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'         |
		| 'РаспределениеЗатрат' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "РаспределениеЗатрат" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распределение затрат'
	И Я закрываю окно 'Распределение затрат'

Сценарий: Я проверяю движения корректировки списания запасов "КорректировкаСписанияЗапасов"

	И В командном интерфейсе я выбираю 'Деньги' 'Корректировки списания запасов'
	Тогда открылось окно 'Корректировки списания запасов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'КорректировкаСписанияЗапасов' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "КорректировкаСписанияЗапасов" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Корректировки списания запасов'
	И Я закрываю окно 'Корректировки списания запасов'

Сценарий: Я начинаю создавать корректировку по поступлению "КорректировкаПоступления"

	И В командном интерфейсе я выбираю 'Закупки' 'Поступления товаров и услуг'
	Тогда открылось окно 'Поступления товаров и услуг'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'              |
		| 'КорректировкаПоступления' |
	И я нажимаю на кнопку 'Корректировка поступления товаров'
	Тогда открылось окно 'Корректировка поступления товаров (создание)'

Сценарий: Я заканчиваю создавать корректировку по поступлению

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Корректировка поступления товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления товаров и услуг'
	И Я закрываю окно 'Поступления товаров и услуг'

Сценарий: Я проверяю движения корректировки поступления товаров и услуг "КорректировкаПоступления"

	И В командном интерфейсе я выбираю 'Деньги' 'Корректировки поступлений товаров'
	Тогда открылось окно 'Корректировки поступлений товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'              |
		| 'КорректировкаПоступления' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "КорректировкаПоступления" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Корректировки поступлений товаров'
	И Я закрываю окно 'Корректировки поступлений товаров'